Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 735594

Summary: openni 1.3.2.1-0.1.gitf8467404 not built with $RPM_OPT_FLAGS
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: openniAssignee: Tim Niemueller <tim>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: tim
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openni-primesense-5.0.3.3-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-31 20:25:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Build with $RPM_OPT_FLAGS, include build commands in build output none

Description Ville Skyttä 2011-09-03 18:41:40 UTC
Created attachment 521338 [details]
Build with $RPM_OPT_FLAGS, include build commands in build output

openni 1.3.2.1-0.1.gitf8467404 is not built with $RPM_OPT_FLAGS; the sed that tries to get that done is outdated (and unnecessary).

The attached patch seems to fix it, and also adds $RPM_LD_FLAGS for [1].  I didn't find evidence of DEBUG=1 having any effect, but I left it in in any case.  The "cat" is there so it is possible to look at the build output to see if things are being built as expected, I recommend leaving it in.

[1] https://fedoraproject.org/wiki/FWN/Issue283#New_hardened_build_support_.28coming.29_in_F16

Comment 1 Tim Niemueller 2011-10-11 22:30:29 UTC
Thanks for this info, nice catch! I have updated the master spec file. I'll issue updates soon, still fighting with some openni-primesense problems.

Comment 2 Fedora Update System 2011-10-27 19:02:08 UTC
openni-1.3.2.1-0.2.gitf8467404.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openni-1.3.2.1-0.2.gitf8467404.fc16

Comment 3 Fedora Update System 2011-10-27 19:02:53 UTC
openni-1.3.2.1-0.2.gitf8467404.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openni-1.3.2.1-0.2.gitf8467404.fc15

Comment 4 Fedora Update System 2011-10-27 19:03:42 UTC
openni-1.3.2.1-0.2.gitf8467404.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openni-1.3.2.1-0.2.gitf8467404.fc14

Comment 5 Fedora Update System 2011-10-30 00:27:25 UTC
Package openni-1.3.2.1-0.2.gitf8467404.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openni-1.3.2.1-0.2.gitf8467404.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15075
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-23 01:44:59 UTC
openni-primesense-5.0.3.3-1.fc15,openni-1.3.2.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openni-primesense-5.0.3.3-1.fc15,openni-1.3.2.1-2.fc15

Comment 7 Fedora Update System 2011-12-23 01:45:32 UTC
openni-primesense-5.0.3.3-1.fc16,openni-1.3.2.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openni-primesense-5.0.3.3-1.fc16,openni-1.3.2.1-2.fc16

Comment 8 Fedora Update System 2011-12-31 20:25:24 UTC
openni-primesense-5.0.3.3-1.fc15, openni-1.3.2.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-12-31 20:25:45 UTC
openni-primesense-5.0.3.3-1.fc16, openni-1.3.2.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.